/// <reference types="react" />
import * as React from 'react';
import { IComponentDemoPageProps } from '@uifabric/example-app-base';
import { DetailsList } from 'office-ui-fabric-react/lib/DetailsList';
import './ThemePage.scss';
export declare class ThemePage extends React.Component<IComponentDemoPageProps, {
    colors: {
        key: string;
        name: string;
        value: string;
        description: string;
    }[];
    colorPickerProps?: {
        targetElement: HTMLElement;
        value: any;
        index: number;
    };
}> {
    refs: {
        [key: string]: React.ReactInstance;
        list: DetailsList;
    };
    constructor(props: {});
    render(): JSX.Element;
    private _onSwatchClicked(item, index, ev);
    private _onColorChanged(index, newColor);
    private _onPickerDismiss();
}
